Bug 666321 (CVE-2010-2643) - CVE-2010-2643 evince: Integer overflow in DVI file TFM font parser
Summary: CVE-2010-2643 evince: Integer overflow in DVI file TFM font parser
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-2643
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110105,reported=20101229,sou...
Depends On: 666323 666324 667573 680005
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-30 05:46 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 18:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-03 08:29:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0009 normal SHIPPED_LIVE Moderate: evince security update 2011-01-06 18:28:15 UTC

Description Huzaifa S. Sidhpurwala 2010-12-30 05:46:46 UTC
An integer overflow vulnerability was found in the parser for TFM 
font files, which are used for rendering DVI files,  in the GNOME 
evince document viewer that can lead to local or remote code execution. 
Due to insufficient checks on the value of an integer used as the size 
for a memory allocation, it's possible to write data beyond the bounds 
of the allocated memory and overwrite a function pointer, leading to 
code execution.

Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2643 to
this issue.

The vulnerability is present in the code that handles loading of fonts used by
DVI files.To exploit you need two files, a DVI file and the malicious font.
The vulnerability is triggered not only by opening the document in evince, but
also by browsing to a folder which contains the malicious files, where evince
thumbnailer will load the malicious file to generate a thumbnail for it.

Acknowledgements:

Red Hat would like to thank the Evince development team for reporting this issue. Upstream acknowledges Jon Larimer of IBM X-Force as the original reporter.

Comment 4 Huzaifa S. Sidhpurwala 2011-01-06 03:03:48 UTC
Created evince tracking bugs for this issue

Affects: fedora-all [bug 667573]

Comment 5 errata-xmlrpc 2011-01-06 18:28:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0009 https://rhn.redhat.com/errata/RHSA-2011-0009.html

Comment 8 Huzaifa S. Sidhpurwala 2011-01-12 04:11:28 UTC
Statement:

This issue did not affect the versions of evince as shipped with Red Hat
Enterprise Linux 5.


Note You need to log in before you can comment on or make changes to this bug.